WordPress tablepress plugin sérülékenység

CH azonosító: CH-14750
Cím: Wordpress tablepress plugin sérülékenység
Angol cím: Wordpress tablepress plugin vulnerability

Publikálás dátuma: 2020.01.13.
Utolsó módosítás dátuma: 2020.01.13.


Leírás

A CVE-2019-20180 számon a WordPress tartalomkezelő rendszer Tablepress pluginjának közepes kockázati besorolású sérülékenysége vált ismertté, amelyet kihasználva a jogosultsággal rendelkező támadó káros inputokat helyezhet el CSV file-okban.


Leírás forrása: Egyéb referencia: medium.com
Leírás utolsó módosítása: 2020.01.13.


Elemzés leírás

A WordPress nyílt forráskódú, PHP-alapú tartalomkezelő és blog-rendszer, ami a MySQL adatbáziskezelőt használja adattárolásra. A WordPress táblázatkezelő pluginja a Tablepress, amely segítségével a felhasználó könnyen és gyorsan hozhat létre táblázatokat. A most nyilvánosságra került hiba sikeres kihasználása esetén a támadó képessé válik rosszindulatú adatbevitelre CSV file-ok azon celláiba, amelyek az alábbi karakterek valamelyikével kezdődnek:

  • =
  • +
  • @

Minden, a sérülékeny verziót tartalmazó eszközön tárolt CSV file érintett lehet. A hiba kihasználásához Editor szintű felhasználói jogosultság szükséges.

Érintett eszközök:

  • WordPress Tablepress 1.9.2 és az azt megelőző verziók

A gyártó honlapján közzétette a hibák javításait tartalmazó frissítéseket.


Elemzés leírás forrása: Egyéb referencia: medium.com
Elemzés leírás utolsó módosítása: 2020.01.13.


Hatás

CVSS3 Súlyosság és Metrika

Alap pontszám: 5.2 (Közepes)
Vektor: AV:N/AC:L/PR:H/UI:R/S:U/C:H/I:l/A:N
Hatás pontszáma:
Kihasználhatóság pontszáma:


Támadás Vektora (AV): Hálózat
Támadás komplexitása (AC): Alacsony
Jogosultság Szükséges (PR): Magas
Felhasználói Interakció (UI): Szükséges
Hatókör (S): Nem változott
Bizalmasság Hatása (C): Magas
Sértetlenség Hatása (I):
Rendelkezésre állás Hatása (A): Nincs

CVSS2 Súlyosság és Metrika

Alap pontszám: (Nincs)
Vektor:
Hatás alpontszáma:
Kihasználhatóság alpontszáma:




Hivatkozások

Egyéb referencia: medium.com
Egyéb referencia: wpvulndb.com
CVE-2019-20180 - NVD CVE-2019-20180